AI Sync

SMS

Filter SMS Date Ranges

GEThttps://app.rizzdial.com/api/reports/sms/filters/date-ranges
Filter SMS Date Ranges
curl --request GET \
  --url https://app.rizzdial.com/api/reports/sms/filters/date-ranges \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "options": [
      "Today",
      "Yesterday",
      "Last 7 Days",
      "Last Week Sun",
      "Last Week Mon",
      "Last Business Week",
      "This Week Sun",
      "This Week Mon",
      "Last 14 Days",
      "This Month",
      "Last Month",
      "Last 30 Days",
      "Last Year"
    ]
  },
  "success": true
}

Filter SMS Date Ranges#

Same preset labels as Filter Call Date Ranges. List, Summary, and Export take date_from and date_to (Y-m-d), not this label.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

curl --request GET \
  --url https://app.rizzdial.com/api/reports/sms/filters/date-ranges \
  --header 'Authorization: Bearer {{bearer_token}}'
data.optionsarray

Today, Yesterday, Last 7 Days, Last Week Sun, Last Week Mon, Last Business Week, This Week Sun, This Week Mon, Last 14 Days, This Month, Last Month, Last 30 Days, Last Year